<template>
  <div class="Search">
    <el-form :inline="true" :model="formInline" class="demo-form-inline">

      <el-form-item label="日期">
        <el-date-picker :shortcuts="formInline.shortcuts" v-model="formInline.value1" type="daterange"
          range-separator="-" start-placeholder="开始日期" value-format="YYYY-MM-DD" @change="dateChange"
          end-placeholder="结束日期" />
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="Search" @click="onSubmit">搜索</el-button>
        <el-button icon="Refresh" @click="reset">重置</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script setup>
import eventBus from '@/utils/eventBus'
const formInline = reactive({
  shortcuts: [{
    text: '最近一周',
    value: () => {
      const end = new Date();
      const start = new Date();
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
      return [start, end]
    }
  }, {
    text: '最近一个月',
    value: () => {
      const end = new Date();
      const start = new Date();
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
      return [start, end]
    }
  }, {
    text: '最近三个月',
    value: () => {
      const end = new Date();
      const start = new Date();
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
      return [start, end]
    }
  }]
})
const onSubmit = () => {
  eventBus.emit('search', formInline)
}
const reset = () => {
  for (let key in formInline) {
    formInline[key] = ''
  }
  eventBus.emit('search', formInline)
}
function dateChange(d) {
  formInline.endDate = d[1]
  formInline.beginDate = d[0]
}
</script>

<style scoped lang="scss">
.Search {
  padding: 20px;
  background-color: #fff;
  border: 1px solid #e4e7ed;
  border-radius: 4px;
}

.demo-form-inline .el-input {
  --el-input-width: 220px;
}

.demo-form-inline .el-select {
  --el-select-width: 220px;
}
</style>
